package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-10-24
 **/
public  class WorkMachineBean {
        private int pageNum;
        private int pageSize;
        private int size;
        private int startRow;
        private int endRow;
        private int total;
        private int pages;
        private List<ListBean> list;
        private int prePage;
        private int nextPage;
        private boolean isFirstPage;
        private boolean isLastPage;
        private boolean hasPreviousPage;
        private boolean hasNextPage;
        private int navigatePages;
        private List<Integer> navigatepageNums;
        private int navigateFirstPage;
        private int navigateLastPage;
        private int firstPage;
        private int lastPage;

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getStartRow() {
            return startRow;
        }

        public void setStartRow(int startRow) {
            this.startRow = startRow;
        }

        public int getEndRow() {
            return endRow;
        }

        public void setEndRow(int endRow) {
            this.endRow = endRow;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public int getPrePage() {
            return prePage;
        }

        public void setPrePage(int prePage) {
            this.prePage = prePage;
        }

        public int getNextPage() {
            return nextPage;
        }

        public void setNextPage(int nextPage) {
            this.nextPage = nextPage;
        }

        public boolean isIsFirstPage() {
            return isFirstPage;
        }

        public void setIsFirstPage(boolean isFirstPage) {
            this.isFirstPage = isFirstPage;
        }

        public boolean isIsLastPage() {
            return isLastPage;
        }

        public void setIsLastPage(boolean isLastPage) {
            this.isLastPage = isLastPage;
        }

        public boolean isHasPreviousPage() {
            return hasPreviousPage;
        }

        public void setHasPreviousPage(boolean hasPreviousPage) {
            this.hasPreviousPage = hasPreviousPage;
        }

        public boolean isHasNextPage() {
            return hasNextPage;
        }

        public void setHasNextPage(boolean hasNextPage) {
            this.hasNextPage = hasNextPage;
        }

        public int getNavigatePages() {
            return navigatePages;
        }

        public void setNavigatePages(int navigatePages) {
            this.navigatePages = navigatePages;
        }

        public List<Integer> getNavigatepageNums() {
            return navigatepageNums;
        }

        public void setNavigatepageNums(List<Integer> navigatepageNums) {
            this.navigatepageNums = navigatepageNums;
        }

        public int getNavigateFirstPage() {
            return navigateFirstPage;
        }

        public void setNavigateFirstPage(int navigateFirstPage) {
            this.navigateFirstPage = navigateFirstPage;
        }

        public int getNavigateLastPage() {
            return navigateLastPage;
        }

        public void setNavigateLastPage(int navigateLastPage) {
            this.navigateLastPage = navigateLastPage;
        }

        public int getFirstPage() {
            return firstPage;
        }

        public void setFirstPage(int firstPage) {
            this.firstPage = firstPage;
        }

        public int getLastPage() {
            return lastPage;
        }

        public void setLastPage(int lastPage) {
            this.lastPage = lastPage;
        }

        public static class ListBean {
            private String id;
            private Object createDateTime;
            private Object updateDateTime;
            private String assetCode;
            private String description;
            private Object classification;
            private int status;
            private String locationsCode;
            private String locationsName;
            private Object specification;
            private String siteName;
            private Object cardCode;
            private Object locationsId;
            private Object astAssetVoList;
            private Object parentName;
            private Object parentId;
            private String siteId;
            private String locationId;
            private Object notSelectId;
            private Object failerId;
            private Object astFailureCode;
            private Object astFailureName;
            private Object delete;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getAssetCode() {
                return assetCode;
            }

            public void setAssetCode(String assetCode) {
                this.assetCode = assetCode;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public Object getClassification() {
                return classification;
            }

            public void setClassification(Object classification) {
                this.classification = classification;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getLocationsCode() {
                return locationsCode;
            }

            public void setLocationsCode(String locationsCode) {
                this.locationsCode = locationsCode;
            }

            public String getLocationsName() {
                return locationsName;
            }

            public void setLocationsName(String locationsName) {
                this.locationsName = locationsName;
            }

            public Object getSpecification() {
                return specification;
            }

            public void setSpecification(Object specification) {
                this.specification = specification;
            }

            public String getSiteName() {
                return siteName;
            }

            public void setSiteName(String siteName) {
                this.siteName = siteName;
            }

            public Object getCardCode() {
                return cardCode;
            }

            public void setCardCode(Object cardCode) {
                this.cardCode = cardCode;
            }

            public Object getLocationsId() {
                return locationsId;
            }

            public void setLocationsId(Object locationsId) {
                this.locationsId = locationsId;
            }

            public Object getAstAssetVoList() {
                return astAssetVoList;
            }

            public void setAstAssetVoList(Object astAssetVoList) {
                this.astAssetVoList = astAssetVoList;
            }

            public Object getParentName() {
                return parentName;
            }

            public void setParentName(Object parentName) {
                this.parentName = parentName;
            }

            public Object getParentId() {
                return parentId;
            }

            public void setParentId(Object parentId) {
                this.parentId = parentId;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public String getLocationId() {
                return locationId;
            }

            public void setLocationId(String locationId) {
                this.locationId = locationId;
            }

            public Object getNotSelectId() {
                return notSelectId;
            }

            public void setNotSelectId(Object notSelectId) {
                this.notSelectId = notSelectId;
            }

            public Object getFailerId() {
                return failerId;
            }

            public void setFailerId(Object failerId) {
                this.failerId = failerId;
            }

            public Object getAstFailureCode() {
                return astFailureCode;
            }

            public void setAstFailureCode(Object astFailureCode) {
                this.astFailureCode = astFailureCode;
            }

            public Object getAstFailureName() {
                return astFailureName;
            }

            public void setAstFailureName(Object astFailureName) {
                this.astFailureName = astFailureName;
            }

            public Object getDelete() {
                return delete;
            }

            public void setDelete(Object delete) {
                this.delete = delete;
            }
        }
}
